/*
 * Copyright 2006-2007 Queplix Corp.
 *
 * Licensed under the Queplix Public License, Version 1.1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.queplix.com/solutions/commercial-open-source/queplix-public-license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 *
 */

package com.queplix.core.modules.config.ejb;

import com.queplix.core.modules.config.jxb.Captions;

import javax.ejb.EJBLocalObject;

/**
 * CaptionManager EJB local interface
 *
 * @author [SVM] Maxim Suponya
 * @author [ALB] Baranov Andrey
 * @version $Revision: 1.1.1.1 $ $Date: 2005/09/12 15:30:14 $
 */
@Deprecated
public interface CaptionManagerLocal extends EJBLocalObject {
    // Captions
    String fillEfieldCaptions(String entityName, String efieldName,
                              Captions captions);

    String fillFocusCaptions(String focusId, Captions captions);

    String fillSubFocusCaptions(String subFocusId, Captions captions);

    String fillTabCaptions(String tabId, Captions captions);

    String fillFormCaptions(String formId, Captions captions);

    String fillButtonCaptions(String buttonId, Captions captions);

    String fillMenuItemCaptions(String menuId, Captions captions);

    String getEfieldCaption(String languageId, String entityName,
                            String efieldName);

    String getFocusCaption(String languageId, String focusId);

    String getSubFocusCaption(String languageId, String subFocusId);

    String getTabCaption(String languageId, String tabId);

    String getFormCaption(String languageId, String formId);

    String getButtonCaption(String languageId, String buttonId);

    String getPopupMenuCaption(String languageId, String captionId);

    String getServerMessage(String languageId, String id);

    String getMenuItemCaption(String languageId, String menuId);
}
